Bug 1269904 - 21 -> 22 upgrade fails - no way to continue
Summary: 21 -> 22 upgrade fails - no way to continue
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: fedup-dracut
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Will Woods
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-08 13:07 UTC by sean darcy
Modified: 2015-12-02 18:20 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 15:37:03 UTC
Type: Bug


Attachments (Terms of Use)

Description sean darcy 2015-10-08 13:07:30 UTC
Description of problem:
Died somewhere in upgrading. Is there any log of the upgrade ?

No new kernel installed. Reboots into 21 kernel. Lots of dupes. yum upgrade just give 21 updates. 

Version-Release number of selected component (if applicable):

fedup.noarch 0.9.2-1.fc21

How reproducible:
run fedup

Steps to Reproduce:
1. fedup --network 22
2. reboot
3.

Actual results:
No new kernel installed. Reboots into 21 kernel. Lots of dupes. dnf|yum upgrade just give fc21 updates.


Expected results:

FC22

Additional info:

Preparation seemed to go well:

........
[   191.911] (II) fedup:<module>() /usr/bin/fedup exiting cleanly at Tue Oct  6 12:26:25 2015

Tried rerunning fedup:

fedup --network 22
usage: fedup <SOURCE> [options]
fedup: error: argument --network: version must be higher than 22 

reinstalled fedup.

removed /etc/system-release

Is there any log of the upgrade itself (not just the preparation ) ? I've no clue why the upgrade failed.

Comment 1 sean darcy 2015-10-12 13:59:14 UTC
upgrade.log  only has a previous upgrade.

head -7 /var/log/upgrade.log
-- Logs begin at Fri 2014-04-11 03:54:50 UTC, end at Fri 2014-04-11 08:09:23 UTC. --
Apr 11 03:54:50 localhost systemd-journal[67]: Runtime journal is using 8.0M (max 150.1M, leaving 225.1M of free 1.4G, current limit 150.1M).
Apr 11 03:54:50 localhost systemd-journal[67]: Runtime journal is using 8.0M (max 150.1M, leaving 225.1M of free 1.4G, current limit 150.1M).
Apr 11 03:54:50 localhost kernel: Initializing cgroup subsys cpuset
Apr 11 03:54:50 localhost kernel: Initializing cgroup subsys cpu
Apr 11 03:54:50 localhost kernel: Initializing cgroup subsys cpuacct
Apr 11 03:54:50 localhost kernel: Linux version 3.11.10-301.fc20.x86_64 (mockbuild@bkernel01.phx2.fedoraproject.org) (gcc version 4.8.2 20131017 (Red Hat 4.8.2-1) (GCC) ) #1 SMP Thu Dec 5 14:01:17 UTC 2013


64 fc22 packages were installed in the failed upgrade:

rpm -qa | grep fc22 | wc -l
64

How do I go forward with the upgrade ?

Comment 2 Fedora End Of Life 2015-11-04 10:12:37 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2015-12-02 15:37:11 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.